Skip to main content
POST
/
syncs
/
{syncid}
/
flows
/
{flowid}
/
event
Send a custom event for a specific flow
curl --request POST \
  --url https://api.chift.eu/syncs/{syncid}/flows/{flowid}/event \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "consumers": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "data": {
    "is_preview": false,
    "force_restart": false,
    "start_date": "2023-12-25",
    "end_date": "2023-12-25",
    "force_from_date": "2023-12-25"
  }
}
'
{
  "status": "<string>",
  "message": "<string>",
  "data": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.chift.eu/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

This access token needs to be included in each of your request to the Chift API.

Path Parameters

syncid
string
required
flowid
string
required

Body

application/json
consumers
(string<uuid> | string)[]
data
PostSyncFlowEventData · object

Response

Successful Response

status
string
required
message
string
required
data
Data · object